Bug 1743393 - No i686 Repositories
Summary: No i686 Repositories
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-19 19:43 UTC by Ben Cotton
Modified: 2019-09-09 18:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Ben Cotton 2019-08-19 19:43:02 UTC
This is a tracking bug for Change: No i686 Repositories
For more details, see: https://fedoraproject.org/wiki/Changes/Noi686Repositories

Stop producing and distributing the Modular and Everything i686 repositories.

Comment 1 Ben Cotton 2019-08-27 17:18:01 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.

Comment 2 Kevin Fenzi 2019-09-02 19:52:44 UTC
This change has been made in rawhide and looks fine, so I submitted a PR to land it in f31: 

https://pagure.io/pungi-fedora/pull-request/763

Hopefully that is merged soon. Then docs are all that is left.

Comment 3 vvs 2019-09-06 18:43:00 UTC
Sorry if this is not an appropriate place for such questions, but I didn't find any prior discussion anywhere else.

Isn't that entire motivation for dropping i686 repositories just a fake? I've installed x86_64 kernel just fine on otherwise i686 system and it seems to work flawlessly, even Java applications seem to work. Why not just ship i686 userland with x86_64 kernel then? What's wrong with that?

Comment 4 Kevin Fenzi 2019-09-07 16:22:09 UTC
(In reply to vvs from comment #3)
> Sorry if this is not an appropriate place for such questions, but I didn't
> find any prior discussion anywhere else.

See the long thread on the fedora devel list: 
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/T5ZV5WCJ7U7BFQXC6RTNG3AIHXOORYOC/
 
> Isn't that entire motivation for dropping i686 repositories just a fake?
> I've installed x86_64 kernel just fine on otherwise i686 system and it seems
> to work flawlessly, even Java applications seem to work. Why not just ship
> i686 userland with x86_64 kernel then? What's wrong with that?

Why not use a x86_64 userland? x86_64 kernel with 32bit userland has never been a tested or supported Fedora install.
Anyhow, feel free to discuss more on the devel list... this bug is to track the status of the already approved change.

Comment 5 Ben Cotton 2019-09-09 18:38:38 UTC
Complete except for docs, as reported in today's FESCo meeting


Note You need to log in before you can comment on or make changes to this bug.